cascading.flow.planner.iso

## Class ElementAnnotation

- java.lang.Object
- - cascading.flow.planner.iso.ElementAnnotation

-     public class ElementAnnotation
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementAnnotation(ElementCapture capture, java.lang.Enum annotation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Enum` | `getAnnotation()`
    `ElementCapture` | `getCapture()`
    `void` | `setAnnotation(java.lang.Enum annotation)`
    `void` | `setCapture(ElementCapture capture)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementAnnotation

          public ElementAnnotation(ElementCapture capture,
                           java.lang.Enum annotation)

  - ### Method Detail

    - #### getCapture

          public ElementCapture getCapture()

    - #### setCapture

          public void setCapture(ElementCapture capture)

    - #### getAnnotation

          public java.lang.Enum getAnnotation()

    - #### setAnnotation

          public void setAnnotation(java.lang.Enum annotation)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.